# Generated from minitest-1.4.2.gem by gem2rpm -*- rpm-spec -*-
%global	gem_name minitest
%global gemname %{gem_name}

%global	gemdir %{gem_dir}
%global	geminstdir %{gem_instdir}

# NOTE WELL: version 5.9.0 requires ruby >= 2.1 in order to
# run the tests in the check section
Summary: Small and fast replacement for ruby's huge and slow test/unit
Name: rubygem-%{gemname}
Version: 5.10.3
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/seattlerb/minitest
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(rubygems)
Requires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby(release)
# the following BuildRequires are development dependencies
# BuildRequires: rubygem(hoe) >= 3.15
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
minitest/unit is a small and fast replacement for ruby's huge and slow
test/unit. This is meant to be clean and easy to use both as a regular
test writer and for language implementors that need a minimal set of
methods to bootstrap a working unit test suite.

miniunit/spec is a functionally complete spec engine.

miniunit/mock, by Steven Baker, is a beautifully tiny mock object framework.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
rm -f %{buildroot}%{geminstdir}/{.autotest,.gemtest}


%clean
rm -rf %{buildroot}

%check
pushd .%{geminstdir}

# spec test suite is unstable.
# https://github.com/seattlerb/minitest/issues/257
mv test/minitest/test_minitest_spec.rb{,.ignore}

# NOTE: External encoding US-ASCII is not UTF-8. Tests WILL fail.
#      Run tests with `RUBYOPT=-Eutf-8 rake` to avoid errors.
for f in test/minitest/test_*.rb
do
	RUBYOPT=-Eutf-8 ruby -Ilib:.:./test $f
done
popd

%files
%defattr(-,root,root,-)
%dir %{gem_instdir}
%{gem_instdir}/Manifest.txt
%{gem_instdir}/design_rationale.rb
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%defattr(-,root,root,-)
%doc %{gem_docdir}
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Thu Dec 07 2017 Richard Megginson <rmeggins@redhat.com> - 5.10.3-1
- Update to minitest 5.10.3

* Wed Sep 28 2016 Rich Megginson <rmeggins@redhat.com> - 5.8.5-1
- Update to minitest 5.8.5

* Fri Aug 26 2016 Rich Megginson <rmeggins@redhat.com> - 5.8.4-1
- Update to minitest 5.8.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 27 2013 Josef Stribny <jstribny@redhat.com> - 4.7.0-1
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0
- Update to minitest 4.7.0.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 21 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 2.10.1-1
- 2.10.1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 10 2011 Vít Ondruch <vondruch@redhat.com> - 1.6.0-3
- Removed Rake circular dependency.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May  4 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.6.0-1
- Update to 1.6.0 (#586505)
- Patch0 removed

* Sat Nov 21 2009 Matthew Kent <mkent@magoazul.com> - 1.4.2-3
- Drop Requires on hoe, only used by Rakefile (#538303).
- Move Rakefile to -doc (#538303).

* Sat Nov 21 2009 Matthew Kent <mkent@magoazul.com> - 1.4.2-2
- Better Source (#538303).
- More standard permissions on files.

* Tue Nov 17 2009 Matthew Kent <mkent@magoazul.com> - 1.4.2-1
- Initial package
